Bug 1577407 - Glance EP doesn't work. ERROR: Illegal type (com.woorea.openstack.keystone.mode l.Access) to deserialize: prevented for security reasons
Summary: Glance EP doesn't work. ERROR: Illegal type (com.woorea.openstack.keystone.mo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.10
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ovirt-3.6.13
: ---
Assignee: Ravi Nori
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On: 1580398
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 22:10 UTC by Petr Balogh
Modified: 2019-05-16 13:06 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-24 18:26:35 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
hosts logs (519.29 KB, application/x-bzip)
2018-05-11 22:25 UTC, Petr Balogh
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBEAP-14760 0 Blocker Closed [LP - RHV product] (7.1.z) Upgrade to jackson-1.9.9-12 in EAP 6.4.20.CR1 breaks RHV 2019-12-19 21:26:35 UTC
Red Hat Product Errata RHBA-2018:1720 0 None None None 2018-05-24 18:26:48 UTC
oVirt gerrit 91450 0 'None' 'ABANDONED' 'core: Fill jackson deserialization whitelist' 2019-11-18 05:24:47 UTC
oVirt gerrit 91453 0 'None' 'MERGED' 'core: Fill jackson deserialization whitelist' 2019-11-18 05:24:47 UTC
oVirt gerrit 91466 0 'None' 'MERGED' 'core: Fill jackson deserialization whitelist' 2019-11-18 05:24:48 UTC
oVirt gerrit 91494 0 'None' 'MERGED' 'core: Add "com" packages to jackson deserialization whitelist' 2019-11-18 05:24:48 UTC
oVirt gerrit 91495 0 'None' 'MERGED' 'core: Add "com" packages to jackson deserialization whitelist' 2019-11-18 05:24:48 UTC

Description Petr Balogh 2018-05-11 22:10:41 UTC
Description of problem:

When we need to import template from image from glance external provider we hit error:
Illegal type (com.woorea.openstack.keystone.model.Access) to deserialize: prevented for security reasons

Logs attached

Version-Release number of selected component (if applicable):
rhv-3.6.13-4

Glance version:
openstack-glance-14.0.0-3.el7ost.noarch (rhos-release-11)

First and last host are rhvh (Red Hat Enterprise Virtualization Hypervisor release 7.3 20180510.0.el7ev), second host rhel 7.3

How reproducible:


Steps to Reproduce:
1.Install engine
2.Add external provider
3.Not able to see images

Actual results:
Not able to see images

Expected results:
Be able to import image as a template

Comment 3 Petr Balogh 2018-05-11 22:25:44 UTC
Created attachment 1435157 [details]
hosts logs

Comment 6 Ravi Nori 2018-05-16 13:50:08 UTC
We are getting the jackson-mapper-asl jar file from EAP. EAP 6 used by ovirt 3.6 is providing 1.9.9 version of jackson-mapper-asl. 

jackson-mapper-asl 1.9.13 is required for openstack-glance-14. Either the jackson-mapper-asl version in EAP 6 needs to be bumped to 1.9.13 or the openstack-glance version should be dropped to 13.

Please test with openstack-glance-13

Comment 7 Petr Balogh 2018-05-17 13:26:06 UTC
Hi, we don't have installed any older glance now. So I cannot test it now without installing new glance machine for this purpose. Is there anyone from storage (Raz, Elad) who has available glance version 13 which we can borrow for testing and if it will work, we can deploy older version of glance for purpose of testing 3.6.

Anyway is it somewhere documented which version of glance is supported?

Comment 16 Petr Matyáš 2018-05-23 07:05:31 UTC
Verified on rhevm-3.6.13.4-0.1.el6.noarch

Comment 19 errata-xmlrpc 2018-05-24 18:26:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1720

Comment 20 Franta Kust 2019-05-16 13:06:32 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.